Description

History

#1 - 04/03/2014 08:23 AM - Lauren Walker
- Status changed from New to In Progress

- Assignee set to Lauren Walker

I am currently working on getting the rest of the app, minus the Stats page, to work correctly in IE 8. Once the app works in IE 8, | will work on
providing an alternative interface for IE 8 users. (Or generally, any browser that does not support d3/SVG, which is just IE 8 and earlier, as far as |
know).

Options;

| could display the statistics in tabular form instead, which would be useful for other browsers as well. | could see an option to collapse/expand the
table below the charts for browsers with SVG.

| could also just display a simple warning message for |IE 8 users, which may not be very many, that they need to use another browser or upgrade IE.
This is the fastest and simplest option.

#2 - 04/03/2014 09:56 AM - Matt Jones
IE8 is still the most used version of IE, although 9, 10, and 11 are rapidly catching up.

http://arstechnica.com/information-technology/2014/04/one-week-before-its-end-of-life-28-percent-of-web-users-are-still-on-windows-xp/

Although we need the main app to work with IE8, the stats page is less critical, and a graceful degradation and notice to upgrade would be fine.

#3 - 04/03/2014 01:40 PM - Lauren Walker

- Status changed from In Progress to Resolved

- % Done changed from 0 to 80

I've got the rest of the app to work on IE 8 although there is still an issue with the About page to be settled (Ticket #6397).

| configured MetacatUI's RequireJS to have a null placeholder for all d3 components, so that in each view where d3 elements are required, they will
load in as null (rather than throwing an exception) and we can check for d3 components before drawing anything.

When the Stats View loads and d3/SVG isn't supported, the app will insert a simple count where the charts usually are and displays an info window at
the top of the page to upgrade or switch browsers.

| also fixed some other small miscellaneous bugs as they came up while testing in IE.

04/10/2024 1/1



http://arstechnica.com/information-technology/2014/04/one-week-before-its-end-of-life-28-percent-of-web-users-are-still-on-windows-xp/
https://projects.ecoinformatics.org/ecoinfo/issues/6397
http://www.tcpdf.org

